com.rscja.custom

## Class UHFTemperatureTag.RFIDWithUHFBLEN52

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.ble.EmptyUhfBle
    - - com.rscja.team.qcom.ble.RFIDWithUHFBLEN52_qcom
      - - com.rscja.custom.UHFTemperatureTag.RFIDWithUHFBLEN52

- All Implemented Interfaces:
    ConnectionStatusCallback, IBluetoothReader, IHandheldRFID, IReader, ISingleAntenna, IUHF, IUhfBle, IUhfReader
  Enclosing class:
    UHFTemperatureTag

      public class UHFTemperatureTag.RFIDWithUHFBLEN52
      extends RFIDWithUHFBLEN52_qcom

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.ble.RFIDWithUHFBLEN52_qcom

      `isSupportE3`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `VERSION_BT_FIRMWARE, VERSION_BT_HARDWARE, VERSION_BT_SOFTWARE`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDWithUHFBLEN52()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `startInventoryTag()` 开始循环识别标签。

    - ### Methods inherited from class com.rscja.team.qcom.ble.RFIDWithUHFBLEN52_qcom

      `getStatus, isInventorying, readTagFromBuffer, readTagFromBufferList_EpcTidUser, readTagFromBufferList, sendData, setBluetoothReader, setInventoryCallback, setInventoryModeEntity, startInventoryTag, startInventoryThread, startLocation, startRadarLocation, stopInventory`

    - ### Methods inherited from class com.rscja.team.qcom.ble.EmptyUhfBle

      `blinkOfLed, blockWriteData, closeLed, connect, connect, deleteAllTagToFlash, disconnect, eraseData, eraseData, free, generateLockCode, getAllTagTotalFromFlash, getBarcodeTypeInSSIID, getBattery, getBeep, getBleHardwareVersion, getBluetoothVersion, getConnectStatus, getCW, getEPCAndTIDUserMode, getEx10SDKFirmware, getFastID, getFrequencyMode, getGen2, getNewTagTotalFromFlash, getParameter, getPower, getProtocol, getReaderAwaitSleepTime, getRFLink, getSTM32Version, getTagDataFromFlash, getTagfocus, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, killTag, killTag, lockMem, lockMem, openLed, readData, readData, scanBarcode, scanBarcodeToBytes, setBarcodeTypeInSSIID, setBeep, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFilter, setFreHop, setFrequencyMode, setGen2, setKeyEventCallback, setOnDataChangeListener, setParameter, setPower, setProtocol, setReaderAwaitSleepTime, setRemoteBluetoothName, setRFLink, setSupportRssi, setTagFocus, startScanBarcode, startScanBarcodeInBlinkMode, startScanBarcodeInTriggleMode, startScanBTDevices, stopLocation, stopRadarLocation, stopScanBarcode, stopScanBTDevices, triggerBeep, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfJump2BootSTM32, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `factoryReset, getFastInventoryMode, readTcpServiceState, setEPCAndTIDUserMode, setFastInventoryMode, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUhfBle

      `getEx10SDKFirmware, setDynamicDistance, stopRadarLocation, uhfJump2BootSTM32`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, killTag, killTag, lockMem, lockMem, readData, readData, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setProtocol, setRFLink, setTagFocus, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUhfReader

      `deleteAllTagToFlash, getAllTagTotalFromFlash, getFastID, getNewTagTotalFromFlash, getReaderAwaitSleepTime, getTagDataFromFlash, getTagfocus, setReaderAwaitSleepTime`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `connect, connect, disconnect, free, getBeep, getBleHardwareVersion, getBluetoothVersion, getConnectStatus, init, setConnectionStatusCallback, setOnDataChangeListener, setRemoteBluetoothName, startScanBTDevices, stopScanBarcode, stopScanBTDevices`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBarcodeTypeInSSIID, getBattery, getParameter, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBarcodeTypeInSSIID, setBeep, setKeyEventCallback, setParameter, startScanBarcode, triggerBeep`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.ISingleAntenna

      `getPower, setPower`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IHandheldRFID

      `getTagLocate, stopLocation`

- - ### Constructor Detail

    - #### RFIDWithUHFBLEN52

          public RFIDWithUHFBLEN52()

  - ### Method Detail

    - #### startInventoryTag

          public boolean startInventoryTag()

      Description copied from interface: `IUHF`

      开始循环识别标签。

      Begin looping through the identification labels.

      通过 `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)` 这个回调接口获取标签数据，需要在开始盘点之前调用setInventoryCallback方法。

      Get the label data through the callback interface `IUHF.setInventoryCallback(IUHFInventoryCallback inventoryCallback)`, you need to call the setInventoryCallback method before starting the inventory.

      备注：开启循环识别标签后模块只能响应`IUHF.stopInventory()`函数 。

      Note: The module can only respond to the `IUHF.stopInventory()` function after the loop identification tag is turned on.

      Specified by:
        `startInventoryTag` in interface `IUHF`
      Overrides:
        `startInventoryTag` in class `RFIDWithUHFBLEN52_qcom`
      Returns:
        true:成功(success) false:失败(failure)